<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["ctg"]) ) {

    $error = array('error' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }

    //view all brands for category information

    if (@$_GET['ctg'] != "" ) {

      @$proCategId = mysql_prep($_GET['ctg']);


      //All brands for category
      $specSet = find_specification_for_category($proCategId); 
  
      foreach ($specSet as $spec[]) {

        $item = $spec;
        $json = json_encode($item);

      }

      exit($json);

    }

  }else{

    exit(json_encode(array("error" => "unauthorised") ));

  }